/*******************************************************************************
 * Copyright (c) 2007, 2010 Association for Decentralized Information Management
 * in Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.diagram.handler;

import java.util.Collection;

/**
 * An element assortment is used to categorize diagram contents in diagram
 * cut-copy-paste operations.
 * 
 * @author Tuukka Lehtonen
 */
public interface IElementAssortment {

    boolean contains(ElementType et);

    boolean contains(Collection<ElementType> ets);

    boolean containsAny(Collection<ElementType> ets);

    int count(ElementType et);

    public boolean isEmpty();

}
