/*******************************************************************************
 * Copyright (c) 2007, 2010 Association for Decentralized Information Management
 * in Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.diagram.synchronization.graph;

import org.simantics.db.ReadGraph;
import org.simantics.db.exception.DatabaseException;
import org.simantics.diagram.adapter.GraphToDiagramSynchronizer;
import org.simantics.diagram.ui.DiagramModelHints;
import org.simantics.g2d.diagram.IDiagram;
import org.simantics.g2d.element.IElement;

/**
 * ElementLoader is an interface for adding loading (initialization) passes on a
 * per-element basis into the diagram loading sequence performed by
 * {@link GraphToDiagramSynchronizer}. See
 * {@link DiagramModelHints#KEY_ELEMENT_LOADER} for more information.
 * 
 * @author Tuukka Lehtonen
 * 
 * @see DiagramModelHints#KEY_ELEMENT_LOADER
 */
public interface ElementLoader {

    /**
     * @param g
     * @param diagram
     * @param element
     */
    void load(ReadGraph g, IDiagram diagram, IElement element) throws DatabaseException;

}
