/*******************************************************************************
 * Copyright (c) 2011 Association for Decentralized Information Management in
 * Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.diagram.synchronization.graph;

import org.simantics.db.WriteGraph;
import org.simantics.db.request.WriteInterface;
import org.simantics.diagram.synchronization.ModificationAdapter;

/**
 * @author Tuukka Lehtonen
 */
public class WriteRequestModificationAdapter extends ModificationAdapter {

    WriteInterface<?> request;

    public WriteRequestModificationAdapter(Double priority, WriteInterface<?> request) {
        super(priority);
        this.request = request;
    }

    @Override
    public void perform(WriteGraph g) throws Exception {
        g.sync(request);
    }

}
